version: '3.9'
services:
    mmdvm:
        hostname: 505-dmr
        image: 'dvswitch'
        restart: unless-stopped
        ports: 
          - published: 3379
            target: 3379
            protocol: udp
            mode: host   
        volumes:
          - /config/505/mmdvm_bridge-dmr:/opt/MMDVM_Bridge
          - /var/log/505:/var/log/mmdvm
          - /data/505/mmdvm/:/var/lib/mmdvm
          - /data/505/dvswitch/:/var/lib/dvswitch
        environment:
          - MMDVM_BRIDGE=1
          - ANALOG_BRIDGE=0
          - P25GATEWAY=0
          - AnalogBridgeLogDir=/var/log/mmdvm
        networks:
          stream_net:
            ipv4_address: 10.200.0.13

networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
